package jp.ossc.petstore.dto.functiondto;

import java.util.List;

/**
 * CategoryFunctionDTO
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class CategoryFunctionDTO extends FunctionDTO {

	/**
	 * カテゴリ情報リスト
	 */
	private List categoryList = null;
	
	/**
	 * カテゴリＩＤ
	 */
	private String categoryId = null;


	/**
	 * カテゴリ情報リスト取得
	 * @return カテゴリ情報リスト
	 */
	public List getCategoryList() {
		return categoryList;
	}

	/**
	 * カテゴリ情報リスト設定
	 * @param categoryList カテゴリ情報リスト
	 */
	public void setCategoryList(List categoryList) {
		this.categoryList = categoryList;
	}
	

	/**
	 * カテゴリＩＤ取得
	 * @return カテゴリＩＤ
	 */
	public String getCategoryId() {
		return categoryId;
	}

	/**
	 * カテゴリＩＤ設定
	 * @param categoryId カテゴリＩＤ
	 */
	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

}
